Bug 590324 - (perl-FCGI) Review Request: perl-FCGI - FastCGI Perl bindings
Review Request: perl-FCGI - FastCGI Perl bindings
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Emmanuel Seyman
Fedora Extras Quality Assurance
http://search.cpan.org/dist/FCGI
:
Depends On:
Blocks: 589895
  Show dependency treegraph
 
Reported: 2010-05-08 16:02 EDT by Chris Weyl
Modified: 2010-08-27 15:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-16 00:44:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
emmanuel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Emmanuel Seyman 2010-05-09 13:00:51 EDT
Taking.
Comment 2 Emmanuel Seyman 2010-05-09 13:29:07 EDT
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2175741

 [x] Rpmlint output: 2 packages and 1 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: BSD
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
26bc4ea53ccc9c9c16695e88e46a1cfb  FCGI-0.71.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [-] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2175741
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
ok 1
+ exit 0

APPROVED.
Comment 3 Chris Weyl 2010-05-09 15:25:55 EDT
New Package CVS Request
=======================
Package Name: perl-FCGI
Short Description: FastCGI Perl bindings
Owners: cweyl
Branches: F-11 F-12 F-13 devel
InitialCC: perl-sig
Comment 4 Jason Tibbitts 2010-05-09 21:40:31 EDT
I'm not sure sure what's wrong with the existing fcgi-perl package, but:

Licence tag is wrong; should be "OML".  It's obviously not BSD; was this actually checked?  (Yes, the fcgi package license is wrong as well; there's an open bug on that which I promised to fix.)

Does this package not bundle various files from the fcgi source distribution? At least the headers seem to duplicate those in fcgi-devel.  This obviously isn't a complication when fcgi-perl is built but as a separate package it gets into the issue of library duplication.
Comment 5 Chris Weyl 2010-05-10 02:00:43 EDT
(In reply to comment #4)
> I'm not sure sure what's wrong with the existing fcgi-perl package, but:

So, the bulk of that is discussed in the bug we're blocking.  The gist is that fcgi hasn't had any real updates (that I'm aware of) since 2003-ish...  Except in its incarnation as FCGI.  This hasn't been an issue so far, but the FCGI updates do address a number of other issues in addition to the corrections for Perl 5.12.

> Licence tag is wrong; should be "OML".  It's obviously not BSD; was this
> actually checked?  (Yes, the fcgi package license is wrong as well; there's an
> open bug on that which I promised to fix.)

Thanks for bringing this up; I did check it but it didn't scream "obviously not BSD" at me so I deferred to the fcgi package.

> Does this package not bundle various files from the fcgi source distribution?
> At least the headers seem to duplicate those in fcgi-devel.  This obviously
> isn't a complication when fcgi-perl is built but as a separate package it gets
> into the issue of library duplication.    

While FCGI and the perl/ dir in fcgi's source were essentially identical in 0.67, the CPAN tarball does include a number files originally from the main part of the fcgi source distribution.  While the CPAN release of FCGI does build with those directly, so does the module built by fcgi (fcgi-perl package) builds that way -- at least, "repoquery --requires fcgi-perl" doesn't expose any libfcgi so dependencies.  In other words, perl-FCGI doesn't do anything different than fcgi-perl.

Another thing to take into consideration here is that while FCGI has seen a recent uptake in development and maintenance, fcgi doesn't seem to have had any such activity around it for quite some time now.  That's not a bad thing in and of itself, but FCGI 0.71 addresses the problems we're seeing in the 0.67 codebase.

I'm open to any alternate suggestions, but it seems to make the most sense here to simply treat fcgi and perl-FCGI as distinct entities.  If fcgi sees some activity and starts incorporating the changes to 0.71 we can certainly reabsorb perl-FCGI into fcgi-perl.
Comment 6 Emmanuel Seyman 2010-05-10 07:54:36 EDT
(In reply to comment #5)
>
> Thanks for bringing this up; I did check it but it didn't scream "obviously not
> BSD" at me so I deferred to the fcgi package.

Same here.

I checked the perldoc, found no mention of a license,
checked the source, found no mention of a license,
found the LICENSE.TERMS file and read the contents as the BSD license.
Comment 7 Dennis Gilmore 2010-05-13 18:35:13 EDT
CVS done
Comment 8 Chris Weyl 2010-05-16 00:44:34 EDT
Thanks for the review! :-)
Comment 9 Iain Arnell 2010-08-26 01:42:43 EDT
Package Change Request
======================
Package Name: perl-FCGI
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig
Comment 10 Kevin Fenzi 2010-08-27 15:08:04 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.